Subject: Re: [Cbor] Map-like container tags - need more time

From: Emile Cormier <[email-masked]>
Date: Mon, 19 Jul 2021 00:24:29 -0300

Hi Everyone,

I spent the day researching how maps/multimaps are converted to JSON by
various programming languages and libraries. You can read my findings here:
https://docs.google.com/document/d/1hCbteMD2RbX6qVQpV8QOwP5j_VIgwyxziNXZPRJ0yd8/edit?usp=sharing

Among the "mainstream" programming languages, multimaps don't seem popular
outside of C++, requiring implementations from third-party libraries or
that Dictionary<Key, List<Value>> be used instead.

Next step is for me to analyze the complexity of encoding/decoding the
various AList, MList, etc schemes proposed by Carsten.

Cheers,
Emile Cormier

On Sun, Jun 27, 2021 at 4:23 PM Emile Cormier <[email-masked]>
wrote:

> Hi Everyone,
>
> At the last interim meeting, I promised I would survey how map-like data
> structures are encoded by various JSON libraries. I also promised I would
> write pseudocode to estimate the complexity of the various compaction
> schemes proposed by Carsten.
>
> I unfortunately will not have enough time to complete these tasks by the
> next interim meeting this Wednesday. I'll need more time.
>
> It seems there is plenty of other stuff going on with other aspects of
> CBOR.
>
> Thank you for your understanding,
> Emile Cormier
>